%--------------House keeping
close all;
clear all;
clc;
%-------------------------------------------------------------------------%

% %start the eyetribe server
% command = 'C:\Users\root\Downloads\EyeTribe-Toolbox-for-Matlab-master\EyeTribe-Toolbox-for-Matlab-master\EyeTribe_for_Matlab\EyeTribe_Matlab_server.exe';
% [status,cmdout] = system(command);
% disp(status)

%enter here, the path to save the stimuli shown to the subject
PATH_tosaveStimuliShown = '..\StimuliShown'; 
exist PATH_tosaveStimuliShown dir;
%create the path if it does not exist
if(exist(PATH_tosaveStimuliShown,'dir')~=7)
    mkdir PATH_tosaveStimuliShown;
end

%add the paths for both the toolboxes
addpath(genpath('C:\Users\root\Desktop\Jerry_Jinx_Comics_Experiment\Mako_Eye_Tracking_Toolbox_Self_Reporting')); %mako toolbox
addpath(genpath('C:\Users\root\Desktop\EyeTribe-Toolbox-for-Matlab-master')); %eyetribe matlab toolbox
MAKO_TOOL_BOX_PATH = 'C:\Users\root\Desktop\Jerry_Jinx_Comics_Experiment\Mako_Eye_Tracking_Toolbox_Self_Reporting';
EYETRIBE_TOOL_BOX_MATLAB_PATH = 'C:\Users\root\Desktop\EyeTribe-Toolbox-for-Matlab-master';
collectSelfReportedInformation(fullfile(MAKO_TOOL_BOX_PATH,'Infrastructure','Stimuli'), fullfile(MAKO_TOOL_BOX_PATH,'Infrastructure','Stimuli\imgorder.csv'), 1, 1);

%this part of the code is to move the related files into a dir in Desktop
%under the name "Pilot_NameofParticipant"
% !!!! make sure that this folder does not exist before running this script

disp('Finished running the Experiment, Will copy the data to desktop');
%move data to seperate folder

%creating a new folder
%DataFolder=['Pilot',FolderName]; 
PATH_Desktop = 'C:\Users\root\Desktop';
folderName = fullfile(PATH_Desktop,'Jerry_Jinx_Pilot_NameOfParticipant');
mkdir(folderName);  

%copy the stimuli images into the new folder
source_f = PATH_tosaveStimuliShown;
destination_f = folderName; 
stimuliImages = dir(fullfile(source_f,'*.jpg'));
imagesPath = {};
for ii=1:length(stimuliImages)
    imagesPath{ii}=stimuliImages(ii).name;
end
sort_nat(imagesPath); 
    movefile(fullfile(source_f,'*.jpg'),fullfile(destination_f,'given_stimuli_images'));
disp('The given stimuli images have been moved')

%copy source of eyetracker data
%this is "copyfile" and not "movefile" because we dont want to loose the eyetracker log in case of a mishap
% the original will be available in the eyetribe matlab toolbox
eyetracking_data_file = fullfile(EYETRIBE_TOOL_BOX_MATLAB_PATH,'EyeTribe_for_Matlab','*.tsv');
copy_to = fullfile(destination_f,'gazeData');
copyfile(eyetracking_data_file,copy_to);
disp('Finished Copying the Gaze Data'); 

%copy from source the responses for the questions provided
SOURCE_answers = fullfile(MAKO_TOOL_BOX_PATH,'Infrastructure\Data\*.csv');
copy_to = fullfile(destination_f,'answers'); 
movefile(SOURCE_answers,copy_to);
disp('Finished Copying the Answers'); 

%removing paths
rmpath('C:\Users\root\Desktop\Jerry_Jinx_Comics_Experiment\Mako_Eye_Tracking_Toolbox_Self_Reporting');

